org.apache.olingo.odata2.client.api.ep

## Class Entity

- java.lang.Object
- - org.apache.olingo.odata2.client.api.ep.Entity

-     public class Entity
      extends Object

  Data representation for a single entity.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Entity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addNavigation(String link, Object value)` Add Navigation
    `void` | `addProperty(String property, Object value)` Add a property to entity
    `Object` | `getNavigation(String link)`
    `Map<String,Object>` | `getNavigations()`
    `Map<String,Object>` | `getProperties()` Return properties of an entity
    `Object` | `getProperty(String property)` Get Property of an entity
    `EntitySerializerProperties` | `getWriteProperties()` Returns the Write properties
    `void` | `setWriteProperties(EntitySerializerProperties writeProperties)` Sets the write properties for an entity

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Entity

          public Entity()

  - ### Method Detail

    - #### getNavigations

          public Map<String,Object> getNavigations()

    - #### addNavigation

          public void addNavigation(String link,
                                    Object value)

      Add Navigation
      Parameters:
        `link` -
        `value` -

    - #### getNavigation

          public Object getNavigation(String link)

      Parameters:
        `link` -
      Returns:
        Object

    - #### getProperties

          public Map<String,Object> getProperties()

      Return properties of an entity
      Returns:
        Properties

    - #### addProperty

          public void addProperty(String property,
                                  Object value)

      Add a property to entity
      Parameters:
        `property` -
        `value` -

    - #### getProperty

          public Object getProperty(String property)

      Get Property of an entity
      Parameters:
        `property` -
      Returns:
        Object

    - #### getWriteProperties

          public EntitySerializerProperties getWriteProperties()

      Returns the Write properties
      Returns:
        EntitySerializerProperties

    - #### setWriteProperties

          public void setWriteProperties(EntitySerializerProperties writeProperties)

      Sets the write properties for an entity
      Parameters:
        `writeProperties` -

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.